<template>
  <div v-if="dialogPhotoItem">
    <v-card-text class="mt-4">
      <img
        :src="
          (dialogPhotoItem && dialogPhotoItem.url) ||
            'https://www.generationsforpeace.org/wp-content/uploads/2018/03/empty.jpg'
        "
        style="height: 400px; width: auto"
        class="mx-auto d-block"
        :alt="`image`"
      />
    </v-card-text>
    <v-card-text>
      <v-text-field
        v-model="sender"
        label="Name"
        outlined
        hide-details
        class="mb-3"
      ></v-text-field>
      <v-textarea
        v-model="comment"
        outlined
        name="input-7-4"
        rows="4"
        label="Comment"
        hide-details
      ></v-textarea>
      <v-btn
        color="blue-grey"
        class="white--text mt-2 ml-auto d-block"
        :disabled="!sender || !comment"
        @click="sendComment(dialogPhotoItem)"
      >
        Send
      </v-btn>
      <div
        style="border: 1px solid; border-radius: 5px;padding: 10px"
        class="mt-5"
      >
        <h3 v-if="commentByPhoto(dialogPhotoItem).length === 0">
          Comment is empty
        </h3>
        <template v-else>
          <div
            v-for="(item, i) in commentByPhoto(dialogPhotoItem)"
            :key="i"
            class="mb-3"
          >
            <h4>
              <b>{{ item.sender }}</b>
            </h4>
            <p>{{ item.comment }}</p>
          </div>
        </template>
      </div>
    </v-card-text>
  </div>
</template>

<script>
export default {
  props: {
    dialogPhotoItem: {
      type: Object,
      default: () => {}
    }
    // dialogPhoto: {
    //     type: Boolean,
    //     default: false
    // }
  },
  data() {
    return {
      sender: "",
      comment: ""
    };
  },
  methods: {
    sendComment(item) {
      const the_comment = {
        albumId: item.albumId,
        id: item.id,
        sender: this.sender,
        comment: this.comment
      };
      this.$store.dispatch("sendComment", the_comment);
      this.sender = "";
      this.comment = "";
      this.$forceUpdate();
    },
    commentByPhoto(item) {
      const comments = JSON.parse(localStorage.getItem("comment-list"))
        ? JSON.parse(localStorage["comment-list"]).filter(
            obj => obj.id === item.id && obj.albumId === item.albumId
          )
        : [];
      return comments;
    }
  }
};
</script>
